#Make tfms of Adobe Standart fonts in groff encoding for use in metapost
#And, optionally, make tfms for fonts in the AdobeStandartEncoding
#Also, make tfms for 3 groff-specific fonts
#files in fonts folder are autogenerated
#files from texmf folder have to be put in there proper places before
function maketfms ()
{
 mkdir fonts/tfm/adobe/${family}
 for font in ${fonts}
 do 
# In groff encoding
# Without kerning
# afm2tfm ${font}8a.afm  -p 8g.enc ${family}/${font}8g.tfm
# With  kerning
  afm2tfm ${font}8a${suffix}.afm  -T 8g.enc -u -v ${font}8g${suffix}.vpl ${font}8g${suffix}.tfm >> fonts/map/dvips/groff/groff.map
  vptovf ${font}8g${suffix}.vpl ${font}8g${suffix}.vf fonts/tfm/adobe/${family}/${font}8g${suffix}.tfm > /dev/null
 rm -f ${font}8g${suffix}.vpl ${font}8g${suffix}.tfm ${font}8g${suffix}.vf
# In standart encoding
#  afm2tfm ${font}8a${suffix}.afm -T 8a.enc -u -v ${font}8a${suffix}.vpl ${font}8a${suffix}.tfm >> fonts/map/dvips/groff/groff.map
#  vptovf ${font}8a${suffix}.vpl ${font}8a${suffix}.vf fonts/tfm/adobe/${family}/${font}8a${suffix}.tfm > /dev/null
# rm -f ${font}8a${suffix}.vpl ${font}8a${suffix}.tfm ${font}8a${suffix}.vf
 done
}
mkdir fonts
mkdir fonts/tfm
mkdir fonts/tfm/adobe
mkdir fonts/map
mkdir fonts/map/dvips
mkdir fonts/map/dvips/groff
family=avantgar
fonts="pagd pagdo pagk pagko"
suffix=""
maketfms
family=bookman
fonts="pbkd pbkdi pbkl pbkli"
suffix=""
maketfms
family=courier
fonts="pcrb pcrbo pcrr pcrro"
suffix=""
maketfms
family=helvetic
fonts="phvb phvbo phvr phvro"
suffix=""
maketfms
suffix="n"
maketfms
family=ncntrsbk
fonts="pncb pncbi pncr pncri"
suffix=""
maketfms
family=palatino
fonts="pplb pplbi pplr pplri"
suffix=""
maketfms
family=times
fonts="ptmb ptmbi ptmr ptmri"
suffix=""
maketfms
family=zapfchan
fonts="pzcmi"
suffix=""
maketfms
mkdir fonts/tfm/groff
mkdir fonts/type1
mkdir fonts/type1/groff
#FreeEuro - since it does not fit fontname scheme, start with z
# z - bizarre, f - small foundry, eu -euro 
afm2tfm freeeuro.afm -u fonts/tfm/groff/zfeu.tfm > /dev/null
echo "zfeu FreeEuro < freeeuro.pfa" >> fonts/map/dvips/groff/groff.map
cp `kpsepath troff_font`/freeeuro.pfa fonts/type1/groff/
# Symbol-Slanted - since there is already a tfm for Adobe Symbol Oblique (rpsyro.tfm),
# do not use p for foundry 
# f - small foundry, sy -euro, r - regular, o - slanted  
afm2tfm symbolsl.afm -u fonts/tfm/groff/fsyro.tfm > /dev/null
echo "fsyro Symbol-Slanted < symbolsl.pfa" >> fonts/map/dvips/groff/groff.map
cp `kpsepath troff_font`/symbolsl.pfa fonts/type1/groff/
#ZapfDingbatsReverse - since it does not fit fontname scheme, start with z
# z - bizarre, f - small foundry, zd -ZapfDingbats, r - regular, r -reverse (non std.)
afm2tfm zapfdr.afm   -u fonts/tfm/groff/zfzdrr.tfm > /dev/null
echo "zfzdrr ZapfDingbats-Reverse < zapfdr.pfa" >> fonts/map/dvips/groff/groff.map
cp `kpsepath troff_font`/zapfdr.pfa fonts/type1/groff/
